
Redmine - Defect #26567

ActionView::Template::Error when trying to access time_entries

2017-07-28 15:24 - Kevin Köllmann

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.2

Description

I just upgraded Redmine from 3.3.3 to 3.4.2.

Now, when trying to access the time entries of an issue (or a whole project),

I get an Internal Server Error (500).

The production log states:

Started GET "/projects/idial-server/time_entries" for 192.168.0.254 at 2017-07-28 15:17:40 +0200

Processing by TimelogController#index as HTML

  Parameters: {"project_id"=>"idial-server"}

  Current user: kevin.koellmann (id=8)

  Rendered queries/_filters.html.erb (4.0ms)

  Rendered queries/_query_form.html.erb (4.3ms)

  Rendered timelog/_date_range.html.erb (4.4ms)

  Rendered timelog/index.html.erb within layouts/base (4.8ms)

Completed 500 Internal Server Error in 41ms (ActiveRecord: 11.5ms)

ActionView::Template::Error (undefined method `remote' for #<Hash:0x007fb44f144280>):

    1: <%= javascript_tag do %>

    2: var operatorLabels = <%= raw_json Query.operators_labels %>;

    3: var operatorByType = <%= raw_json Query.operators_by_filter_type %>;

    4: var availableFilters = <%= raw_json query.available_filters_as_json %>;

    5: var labelDayPlural = <%= raw_json l(:label_day_plural) %>;

    6:

    7: var filtersUrl = <%= raw_json queries_filter_path(:project_id => @query.project.try(:id), :

type => @query.type) %>;

  app/models/query.rb:464:in `block in available_filters_as_json'

  app/models/query.rb:462:in `each'

  app/models/query.rb:462:in `available_filters_as_json'

  app/views/queries/_filters.html.erb:4:in `block in _app_views_queries__filters_html_erb___218005

857970535534_70206203145280'

  app/views/queries/_filters.html.erb:1:in `_app_views_queries__filters_html_erb___218005857970535

534_70206203145280'

  app/views/queries/_query_form.html.erb:10:in `_app_views_queries__query_form_html_erb__413340355

5005295366_70206203058420'

  app/views/timelog/_date_range.html.erb:1:in `_app_views_timelog__date_range_html_erb__3845577496

136492909_70206203018520'

  app/views/timelog/index.html.erb:10:in `block in _app_views_timelog_index_html_erb__452619622053

8483806_70206202905200'

  app/views/timelog/index.html.erb:9:in `_app_views_timelog_index_html_erb__4526196220538483806_70

206202905200'

  app/controllers/timelog_controller.rb:54:in `block (2 levels) in index'

  app/controllers/timelog_controller.rb:48:in `index'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 My environment:

Environment:

  Redmine version                3.4.2.stable

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux-gnu]
  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.9.3

  Cvs                            1.12.13

  Git                            2.7.4

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.4.4

  redmine_ckeditor               1.1.5

  redmine_gitlab_hook            0.1.3

  redmine_ldap_sync              2.0.8.devel.gf916e6574e

  redmine_tagging                0.1.6

Related issues:

Has duplicate Redmine - Defect #26637: ActionView::Template::Error (undefined... Closed

History

#1 - 2017-07-28 15:27 - Marius BĂLTEANU

Please try without plugins. Your error is generated by one of your plugins which is not compatible with Redmine 3.4.2.

#2 - 2017-07-28 15:44 - Kevin Köllmann

- Status changed from New to Resolved

Yeah, it seems to be the Agile plugin from RedmineUp.com (although they state it as compatible).

Did a downgrade back to 3.3.3 right now as this plugin is business important to us.

Thanks for your help!

#3 - 2017-07-28 15:55 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

#4 - 2017-08-08 18:32 - Kevin Köllmann

FYI:

The Agile plugin from RedmineUp.com is compatible.

The incompatible addon is this one: https://github.com/Restream/redmine_tagging

#5 - 2017-08-08 20:30 - Toshi MARUYAMA

- Category deleted (Time tracking)

#6 - 2017-08-08 20:30 - Toshi MARUYAMA

- Related to Defect #26637: ActionView::Template::Error (undefined method `remote' for #<Hash:0x007f9aede03320>) added

#7 - 2017-08-08 20:30 - Toshi MARUYAMA

- Related to deleted (Defect #26637: ActionView::Template::Error (undefined method `remote' for #<Hash:0x007f9aede03320>))

#8 - 2017-08-08 20:30 - Toshi MARUYAMA

- Has duplicate Defect #26637: ActionView::Template::Error (undefined method `remote' for #<Hash:0x007f9aede03320>) added
